#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x91,0xF7,0xAA,0x66,0x83,0x8C,0xB2,0xC4,0xE1,0xC5,0x8A,0x12,
		0xF6,0x91,0x7B,0x58,0x6E,0x2B,0x6D,0x4C,0x81,0xF5,0x55,0x29,
		0x95,0x86,0xE2,0x18,0x9F,0x99,0xAD,0xC1,0xFD,0x6C,0xAD,0x45,
		0x41,0x6B,0xAB,0x69,0xB9,0x54,0x5B,0xD5,0x70,0xCC,0xBF,0x70,
		0x4D,0xDB,0x9E,0x45,0xB6,0x78,0xE3,0x62,0xEF,0xB5,0x2B,0x75,
		0x71,0xFB,0xF6,0xBB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
